Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 16 Apr 2014, 20:55
All times are UTC - 4
 Forum index » House Training » HOWTO ( Solutions )
e-Sword bible software installation
Moderators: Flash, Ian, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 6 of 8 [113 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8 Next
Author Message
PeacebyJesus

Joined: 06 Sep 2007
Posts: 38

PostPosted: Tue 10 Aug 2010, 20:33    Post subject:  

I have use E-sword like daily in XP for years, and thank God for it, but do not think i will install in Puppy, but TheWord Bible program is second to it. (http://www.theword.gr/) It only has a Windows version, but i have installed it using Wine in 2 other Linux distros and it runs fine with no other configuration needed, though it has lots of options in itself. I do use the compact install, and have no added many other modules to it. I like it that its Bible text comes with cross references, and i have been using it to make html N.T. Bible pages with commentary, using OpenOffice. (http://peacebyjesus.witnesstoday.org/New_Testament_TOC.html)
Back to top
View user's profile Send private message 
bones01

Joined: 11 Aug 2008
Posts: 370
Location: Melbourne, Aus

PostPosted: Fri 20 Aug 2010, 02:09    Post subject:
Subject description: It worked
 

Jim1911 wrote:
Hi bones01,

Try Icewm, to change from JWM in Lupu-507, select Desktop, Desktop Settings, Window Manager Switcher Choose JWM or Icewm.

I've also had a running e-Sword disappear when minimized, and I believe I was using JWM at the time, however, it was an intermittent behaviour. Haven't noticed it happening with Icewm.

Jim


got ICEWM and e-sword now minimizes without disappearing. Think I'll hang on to it now.

Thanks

_________________
Dell Latitude D630 running Puppy 5.2.8 frugal, Macpup 525 frugal (if I can get it working again)
Precise Puppy 5.4 live DVD
Back to top
View user's profile Send private message 
MRT42

Joined: 04 Sep 2010
Posts: 27

PostPosted: Thu 16 Sep 2010, 12:54    Post subject: Esword will not install on Puppy Lucid 5.11  

I am trying to install esword 9.51 on puppy lupu 5.11 I have downloaded and installed wine from quickpet (version 1.1.43). I got a message that gecko needed to be added and I followed the instructions on the wine wicki for installing it. I downloaded and installed the 2 dll's Jim1911 recommended to the directory /root/.wine "C:\\windows\\system32\". I also configured the two dll's he suggested in the wine config for native windows.

My problem is that now when I try to install the Esword setup .exe file nothing happens. I have tried telling it to open with wine but still no result.

I am running lupu 5.11 on a frugal install. I found a suggestion on the wine wiki that if a program fails to install with wine to try opening from terminal. I did that and got the following error message. Maybe it might explain why the install .exe file is not running. Here it is.

# wine setup951.exe
err:module:import_dll Library OLEAUT32.dll (which is needed by L "Z:\\mnt\\sdc1\\Mark's Toshiba Satelite Backup\\Downloads\\E-Sword\\version 9\\esword 9.51\\setup951.exe") not found
err:module:LdrInitializeThunk Main exe initialization for L "Z:\\mnt\\sdc1\\Mark's Toshiba Satelite Backup\\Downloads\\E-Sword\\version 9\\esword 9.51\\setup951.exe" failed, status c0000135

Any ideas as to why this is not working or how I can get it to install? Thanks in advance.
Back to top
View user's profile Send private message 
MRT42

Joined: 04 Sep 2010
Posts: 27

PostPosted: Fri 17 Sep 2010, 15:49    Post subject: Solved! problem installing e-Sword on Lucid Puppy 5.11  

I seem to have found a solution to my problem of the e-Sword install file not installing. Rather than assigning the riched20.dll and oleaut32.dll to "native windows" in the wine config window I assigned them as "native, builtin). Then I tried again to install and it did without any problems. I am thankfully running e-sword now on my lucid puppy 5.11 frugal install and it is running fairly well. Everything seems to work although sometimes a bit jerky.
Back to top
View user's profile Send private message 
disciple

Joined: 20 May 2006
Posts: 6378
Location: Auckland, New Zealand

PostPosted: Fri 17 Sep 2010, 20:28    Post subject:  

FWIW you don't normally need gecko. It is only for internet explorer and such things.
_________________
DEATH TO SPREADSHEETS
- - -
Classic Puppy quotes
- - -
Beware the demented serfers!
Back to top
View user's profile Send private message 
MRT42

Joined: 04 Sep 2010
Posts: 27

PostPosted: Sat 18 Sep 2010, 00:40    Post subject:  

Thanks for the tip. I didn't realize what it is for and so installed it as a precaution.
Back to top
View user's profile Send private message 
bones01

Joined: 11 Aug 2008
Posts: 370
Location: Melbourne, Aus

PostPosted: Thu 07 Oct 2010, 07:03    Post subject: Updated Puppy & kept e-Sword  

This may not matter to anyone, but thought I'd share this.

I've recently upgraded to Lucid 5.1.1 and seemed to lose e-Sword when I did. To resolve the issue, i looked back to Jim's advice about linking.

I moved the .wine file from root to another file (I setup a 'temp' file for this, just in case something didn't work).

then I used the two Rox boxes to drag .wine from mnt/home into /root and make the link. As e-sword was already in the .wine, it's all there and working.

I'm a happy reader again.

Bones

_________________
Dell Latitude D630 running Puppy 5.2.8 frugal, Macpup 525 frugal (if I can get it working again)
Precise Puppy 5.4 live DVD
Back to top
View user's profile Send private message 
Jim1911

Joined: 19 May 2008
Posts: 2445
Location: Texas, USA

PostPosted: Thu 14 Oct 2010, 12:20    Post subject: e-Sword update  

Rick Meyers has posted another update to e-Sword, the latest is setup972.exe. It installs fine over an existing installation of version 9.6, but to be safe, always make a backup copy of root/.wine before updating.
Rick Meyers wrote:
e-Sword version 9.7 changes from 9.6

The editors have been broken out into their own view and are no longer located in the Commentary view. Also, a new Journal Notes editor has been added to the Editor view to join the Study Notes and Topic Notes!

You can now Search the Bibles and other modules using Regular Expressions (REGEX). While a bit complicated for typical use, this functionality adds powerful searching capabilities when that might be needed.
Enjoy,
Jim
eSword972.png
Description 
png

 Download 
Filename  eSword972.png 
Filesize  107.28 KB 
Downloaded  372 Time(s) 
Back to top
View user's profile Send private message 
its-me-again

Joined: 29 Apr 2010
Posts: 109

PostPosted: Tue 02 Nov 2010, 08:58    Post subject: Lighthouse pup  

Hi can you test this on the latest lighthouse pup. the built in installer it has does not seem to work. i have tried your solutions with no result.
Back to top
View user's profile Send private message 
Jim1911

Joined: 19 May 2008
Posts: 2445
Location: Texas, USA

PostPosted: Tue 02 Nov 2010, 11:20    Post subject:  

These procedures have been tried and do work on Lighthouse, even for the latest e-Sword. The procedures on page 1 are up-to-date, but must be followed exactly. I have placed a eSword.pet there that provides the icon, code for /usr/bin and /usr/share/applications that should work for anyone.

In Lighthouse, the code installed by my eSword.pet needs to be edited since Tazoc's installer sets up a seperate root/.wine_Esword directory, while my procedures uses the existing root/.wine. If you try these manual procedures, it probably would be easier to just delete or rename the root/.wine_Esword directory and start over.

If you have successfully installed e-Sword using another OS, you could just delete or rename both .wine and .wine_Esword in Lighthouse and copy your successful .wine into root. Then install the eSword.pet on page 1, find and click on the desktop file.

TazOC's installer does work, however, presently his installer needs update due to name changes that Rick Meyers made to e-Sword.

Hope this helps.
Back to top
View user's profile Send private message 
bones01

Joined: 11 Aug 2008
Posts: 370
Location: Melbourne, Aus

PostPosted: Sun 26 Dec 2010, 18:12    Post subject: Continued success  

Hi Jim

I continue to come back to this thread again and again. I did a frugal re-install of 5.1.1 last week and lost more than I intended - oops. But, because of your instructions, I had made a back up of the .wine file, so now I have e-Sword up and running once again.

Thanks for your great work and updates to this thread.

Bones

_________________
Dell Latitude D630 running Puppy 5.2.8 frugal, Macpup 525 frugal (if I can get it working again)
Precise Puppy 5.4 live DVD
Back to top
View user's profile Send private message 
Jim1911

Joined: 19 May 2008
Posts: 2445
Location: Texas, USA

PostPosted: Mon 27 Dec 2010, 12:12    Post subject:  

bones01,
Thanks for the kind words. I hope that this thread benefits anyone who likes e-sword. It used to be very frustrating to use bible programs with puppy. About the only thing that was available was outdated pups using the old java Bible Desktop. Now, thanks to TazOC, playdayz, and 01micko, other fine programs such as this one can run on the later pups, along with Bibletime and Ziphos. Now it's possible for anyone to set up their own Bible study pup.

This thread discusses how to set up your own Bible Study pup.

Thanks,
Jim
Back to top
View user's profile Send private message 
Jim1911

Joined: 19 May 2008
Posts: 2445
Location: Texas, USA

PostPosted: Fri 21 Jan 2011, 18:31    Post subject:  

There is a new e-Sword update, e-Sword v9.8.2 application installation. Unfortunately, Rick has changed his site and now the only way to download modules is by using a new Module Downloader that is a main feature of the latest 9.8 version. See attachment.

The Module Downloader is a great feature for Windows users because it shows what you have installed and enables downloads, but it does not work under Linux.

The good news is that you can update to e-Sword v9.8.2 by downloading setup982.exe with your browser and click on it. Except for the downloading feature, it works great.

I have asked Rick to restore browser access to the download area as it was prior to 9.8 so that Linux users can still get new modules and updates.
ModuleDownloader.jpg
Description 
jpg

 Download 
Filename  ModuleDownloader.jpg 
Filesize  137.46 KB 
Downloaded  326 Time(s) 
Back to top
View user's profile Send private message 
bones01

Joined: 11 Aug 2008
Posts: 370
Location: Melbourne, Aus

PostPosted: Fri 21 Jan 2011, 19:15    Post subject:  

Thanks for keeping us informed Jim. I'll keep an eye hear to see if Rick has been able to make these changes.

Bones

_________________
Dell Latitude D630 running Puppy 5.2.8 frugal, Macpup 525 frugal (if I can get it working again)
Precise Puppy 5.4 live DVD
Back to top
View user's profile Send private message 
Jim1911

Joined: 19 May 2008
Posts: 2445
Location: Texas, USA

PostPosted: Sat 22 Jan 2011, 11:47    Post subject:  

Jim1911 wrote:
There is a new e-Sword update, e-Sword v9.8.2 application installation. Unfortunately, Rick has changed his site and now the only way to download modules is by using a new Module Downloader that is a main feature of the latest 9.8 version. See attachment.

The Module Downloader is a great feature for Windows users because it shows what you have installed and enables downloads, but it does not work under Linux.

The good news is that you can update to e-Sword v9.8.2 by downloading setup982.exe with your browser and click on it. Except for the downloading feature, it works great.

I have asked Rick to restore browser access to the download area as it was prior to 9.8 so that Linux users can still get new modules and updates.
See EDIT on page 1 for a workaround to use the new version.
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 6 of 8 [113 Posts]   Goto page: Previous 1, 2, 3, 4, 5, 6, 7, 8 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » House Training » HOWTO ( Solutions )
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0900s ][ Queries: 12 (0.0108s) ][ GZIP on ]